\ProvidesPackage{specificstyle}

% subsections in the toc
\setcounter{tocdepth}{2}

\renewcommand{\thechapter}{\Roman{chapter}}
\renewcommand{\thesection}{\arabic{section}}
\renewcommand{\theequation}{\thesection.\arabic{equation}}
\renewcommand{\thefigure}{\arabic{section}.\arabic{figure}}

% start with 35em (too big)
% then get the correction from the ovefull hbox warning
\setlength{\glsdescwidth}{35em - 39.46277pt}


% WORDS

\newcommand{\algebra}[1]{#1\nobreakdash-algebra}
\newcommand{\algebras}[1]{#1\nobreakdash-algebras}
\NewDocumentCommand{\bimodule}{m o}{%
	\IfValueTF{#2}%
	{#1\nobreakdash-#2\nobreakdash-bimodule}%
	{#1\nobreakdash-bimodule}%
}
\NewDocumentCommand{\bimodules}{m o}{%
	\IfValueTF{#2}%
	{#1\nobreakdash-#2\nobreakdash-bimodules}%
	{#1\nobreakdash-bimodules}%
}
\newcommand{\linear}[1]{#1\nobreakdash-linear}
\newcommand{\module}[1]{#1\nobreakdash-module}
\newcommand{\modules}[1]{#1\nobreakdash-modules}
\newcommand{\vectorspace}[1]{#1\nobreakdash-vector space}
\newcommand{\vectorspaces}[1]{#1\nobreakdash-vector spaces}



% SHORTCUTS

\newcommand{\Ae}{A^{\env}}



% FUNCTORS & CO.

\DeclareMathOperator{\Left}{L}
\DeclareMathOperator{\Right}{R}



% SPACES

\DeclareMathOperator{\Chain}{C}
\DeclareMathOperator{\Homology}{H}
\DeclareMathOperator{\HH}{HH}



% DECORATION

\renewcommand{\bar}{\mathrm{bar}}
\newcommand{\env}{\mathrm{e}}



% DELIMITERS

\DeclarePairedDelimiter{\gen}{\langle}{\rangle}



% OTHERS

\newcommand{\ph}{\ensuremath{\mathrm{-}}}
